## MMSimpleStatus MMSimpleStatus — Helper object to handle overall modem status. |

## Functions

MMModemState | mm_simple_status_get_state ()
guint32 | mm_simple_status_get_signal_quality ()
MMModemAccessTechnology | mm_simple_status_get_access_technologies ()
void | mm_simple_status_get_current_bands ()
MMModem3gppRegistrationState | mm_simple_status_get_3gpp_registration_state ()
const gchar * | mm_simple_status_get_3gpp_operator_code ()
const gchar * | mm_simple_status_get_3gpp_operator_name ()
MMModem3gppSubscriptionState | mm_simple_status_get_3gpp_subscription_state ()
MMModemCdmaRegistrationState | mm_simple_status_get_cdma_cdma1x_registration_state ()
MMModemCdmaRegistrationState | mm_simple_status_get_cdma_evdo_registration_state ()
guint | mm_simple_status_get_cdma_nid ()
guint | mm_simple_status_get_cdma_sid ()

## Properties

MMModemAccessTechnology | access-technologies | Read / Write
MMModemCdmaRegistrationState | cdma-cdma1x-registration-state | Read / Write
MMModemCdmaRegistrationState | cdma-evdo-registration-state | Read / Write
guint | cdma-nid | Read / Write
guint | cdma-sid | Read / Write
GVariant * | current-bands | Read / Write
char * | m3gpp-operator-code | Read / Write
char * | m3gpp-operator-name | Read / Write
MMModem3gppRegistrationState | m3gpp-registration-state | Read / Write
MMModem3gppSubscriptionState | m3gpp-subscription-state | Read / Write
GVariant * | signal-quality | Read / Write
MMModemState | state | Read / Write

## Types and Values

struct | MMSimpleStatus

## Object Hierarchy

        GObject
        ╰── MMSimpleStatus

## Description

The MMSimpleStatus is an object handling the general modem status properties, available in the Simple interface.

This object is retrieved with either `mm_modem_simple_get_status()` or `mm_modem_simple_get_status_sync()`.

## Functions

### mm_simple_status_get_state ()

    MMModemState
    mm_simple_status_get_state (MMSimpleStatus *self);

Gets the state of the modem.

#### Parameters

self | a MMSimpleStatus. |

#### Returns

a MMModemState.

Since: 1.0

### mm_simple_status_get_signal_quality ()

    guint32
    mm_simple_status_get_signal_quality (MMSimpleStatus *self,
                                         gboolean *recent);

Gets the signal quality.

#### Parameters

self | a MMSimpleStatus. |
recent | indication of whether the given signal quality is considered recent. | [out][allow-none]

#### Returns

the signal quality.

Since: 1.0

### mm_simple_status_get_access_technologies ()

    MMModemAccessTechnology
    mm_simple_status_get_access_technologies
                                   (MMSimpleStatus *self);

Gets the currently used access technologies.

#### Parameters

self | a MMSimpleStatus. |

#### Returns

a bitmask of MMModemAccessTechnology values.

Since: 1.0

### mm_simple_status_get_current_bands ()

    void
    mm_simple_status_get_current_bands (MMSimpleStatus *self,
                                        const MMModemBand **bands,
                                        guint *n_bands);

Gets the currently used frequency bands.

#### Parameters

self | a MMSimpleStatus. |
bands | location for an array of MMModemBand values. Do not free the returned value, it is owned by `self` . | [out]
n_bands | number of elements in `bands` . | [out]

Since: 1.0

### mm_simple_status_get_3gpp_registration_state ()

    MMModem3gppRegistrationState
    mm_simple_status_get_3gpp_registration_state
                                   (MMSimpleStatus *self);

Gets the current state of the registration in the 3GPP network.

#### Parameters

self | a MMSimpleStatus. |

#### Returns

a MMModem3gppRegistrationState.

Since: 1.0

### mm_simple_status_get_3gpp_operator_code ()

    const gchar *
    mm_simple_status_get_3gpp_operator_code
                                   (MMSimpleStatus *self);

Gets the MCC/MNC of the operator of the 3GPP network where the modem is registered.

#### Parameters

self | a MMSimpleStatus. |

#### Returns

the operator code, or `NULL` if unknown. Do not free the returned value, it is owned by `self` .

Since: 1.0

### mm_simple_status_get_3gpp_operator_name ()

    const gchar *
    mm_simple_status_get_3gpp_operator_name
                                   (MMSimpleStatus *self);

Gets the name of the operator of the 3GPP network where the modem is registered.

#### Parameters

self | a MMSimpleStatus. |

#### Returns

the operator name, or `NULL` if unknown. Do not free the returned value, it is owned by `self` .

Since: 1.0

### mm_simple_status_get_3gpp_subscription_state ()

    MMModem3gppSubscriptionState
    mm_simple_status_get_3gpp_subscription_state
                                   (MMSimpleStatus *self);

`mm_simple_status_get_3gpp_subscription_state` has been deprecated since version 1.12.0. and should not be used in newly-written code.

The value of this property can only be obtained with operator specific logic (e.g. processing specific PCO info), and therefore it doesn't make sense to expose it in the ModemManager interface.

Gets the current subscription status of the account.

#### Parameters

self | a MMSimpleStatus. |

#### Returns

a MMModem3gppSubscriptionState.

Since: 1.0

### mm_simple_status_get_cdma_cdma1x_registration_state ()

    MMModemCdmaRegistrationState
    mm_simple_status_get_cdma_cdma1x_registration_state
                                   (MMSimpleStatus *self);

Gets the current state of the registration in the CDMA-1x network.

#### Parameters

self | a MMSimpleStatus. |

#### Returns

a MMModemCdmaRegistrationState.

Since: 1.0

### mm_simple_status_get_cdma_evdo_registration_state ()

    MMModemCdmaRegistrationState
    mm_simple_status_get_cdma_evdo_registration_state
                                   (MMSimpleStatus *self);

Gets the current state of the registration in the EV-DO network.

#### Parameters

self | a MMSimpleStatus. |

#### Returns

a MMModemCdmaRegistrationState.

Since: 1.0

### mm_simple_status_get_cdma_nid ()

    guint
    mm_simple_status_get_cdma_nid (MMSimpleStatus *self);

Gets the Network Identification number of the CDMA network.

#### Parameters

self | a MMSimpleStatus. |

#### Returns

the NID, or `MM_MODEM_CDMA_NID_UNKNOWN` if unknown.

Since: 1.0

### mm_simple_status_get_cdma_sid ()

    guint
    mm_simple_status_get_cdma_sid (MMSimpleStatus *self);

Gets the System Identification number of the CDMA network.

#### Parameters

self | a MMSimpleStatus. |

#### Returns

the SID, or `MM_MODEM_CDMA_SID_UNKNOWN` if unknown.

Since: 1.0

## Types and Values

### struct MMSimpleStatus

    struct MMSimpleStatus;

The MMSimpleStatus structure contains private data and should only be accessed using the provided API.

## Property Details

### The `“access-technologies”` property

      “access-technologies”      MMModemAccessTechnology

Access technologies used by the modem.

Owner: MMSimpleStatus

Flags: Read / Write

### The `“cdma-cdma1x-registration-state”` property

      “cdma-cdma1x-registration-state” MMModemCdmaRegistrationState

Registration state in the CDMA1x network.

Owner: MMSimpleStatus

Flags: Read / Write

Default value: MM_MODEM_CDMA_REGISTRATION_STATE_UNKNOWN

### The `“cdma-evdo-registration-state”` property

      “cdma-evdo-registration-state” MMModemCdmaRegistrationState

Registration state in the EV-DO network.

Owner: MMSimpleStatus

Flags: Read / Write

Default value: MM_MODEM_CDMA_REGISTRATION_STATE_UNKNOWN

### The `“cdma-nid”` property

      “cdma-nid”                 guint

Network Identifier of the serving CDMA1x network.

Owner: MMSimpleStatus

Flags: Read / Write

Allowed values: <= 99999

Default value: 99999

### The `“cdma-sid”` property

      “cdma-sid”                 guint

System Identifier of the serving CDMA1x network.

Owner: MMSimpleStatus

Flags: Read / Write

Allowed values: <= 99999

Default value: 99999

### The `“current-bands”` property

      “current-bands”            GVariant *

Frequency bands used by the modem.

Owner: MMSimpleStatus

Flags: Read / Write

Allowed values: GVariant<au>

Default value: NULL

### The `“m3gpp-operator-code”` property

      “m3gpp-operator-code”      char *

Code of the current operator in the 3GPP network.

Owner: MMSimpleStatus

Flags: Read / Write

Default value: NULL

### The `“m3gpp-operator-name”` property

      “m3gpp-operator-name”      char *

Name of the current operator in the 3GPP network.

Owner: MMSimpleStatus

Flags: Read / Write

Default value: NULL

### The `“m3gpp-registration-state”` property

      “m3gpp-registration-state” MMModem3gppRegistrationState

Registration state in the 3GPP network.

Owner: MMSimpleStatus

Flags: Read / Write

Default value: MM_MODEM_3GPP_REGISTRATION_STATE_UNKNOWN

### The `“m3gpp-subscription-state”` property

      “m3gpp-subscription-state” MMModem3gppSubscriptionState

Subscription state of the account (deprecated).

Owner: MMSimpleStatus

Flags: Read / Write

Default value: MM_MODEM_3GPP_SUBSCRIPTION_STATE_UNKNOWN

### The `“signal-quality”` property

      “signal-quality”           GVariant *

Signal quality reported by the modem.

Owner: MMSimpleStatus

Flags: Read / Write

Allowed values: GVariant<(ub)>

Default value: NULL

### The `“state”` property

      “state”                    MMModemState

State of the modem.

Owner: MMSimpleStatus

Flags: Read / Write

Default value: MM_MODEM_STATE_UNKNOWN